# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.sling.graphql.api.SelectedField.getSubSelectedField(String)
Please use getSubSelectedFieldByName() or getSubSelectedFieldByFQN() instead
org.apache.sling.graphql.api.SelectedField.hasSubSelectedFields(String...)
Use hasDuplicateFieldByName(), hasSubSelectedFieldsByName() or hasSubSelectedFieldsByFQN
org.apache.sling.graphql.api.SelectedField.isInline()
There are no more inlined fragments anymore so this is always false